
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>灵活掌握asp.net中gridview控件的多种使用方法（下）_实用技巧 / iVAN</title>

    <meta name="description" content="灵活掌握asp.net中gridview控件的多种使用方法（下）_实用技巧 继续上篇文章的学习&lt;灵活掌握asp.net中gridview控件的多种使用方法(上)&gt;,在此基础上巩固gridview控件的操作使用,更上一层楼. 11.GridView实现用&quot;...&quot;代替超长字符串:效果图:   解决方法:数据绑定后过滤每一行即可 for (int i = 0; i &lt;= GridView1.Rows.Count - 1; i++) { DataRowView mydrv; string gIntro; if (GridView1.Pag ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">灵活掌握asp.net中gridview控件的多种使用方法（下）_实用技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>继续上篇文章的学习《灵活掌握asp.net中gridview控件的多种使用方法(上)》，在此基础上巩固gridview控件的操作使用，更上一层楼。</p>
<p><strong>11.GridView实现用“...”代替超长字符串：<br /></strong>效果图：</p>
<p> <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTE2MTAzNDIwODMyLmdpZg==.jpg"></p>
<p><strong>解决方法：</strong>数据绑定后过滤每一行即可</p>
<pre>
for (int i = 0; i &lt;= GridView1.Rows.Count - 1; i++)
{
DataRowView mydrv;
string gIntro;
if (GridView1.PageIndex == 0)
{
mydrv = myds.Tables["飞狐工作室"].DefaultView[i];//表名
gIntro = Convert.ToString(mydrv["家庭住址"]);//所要处理的字段
GridView1.Rows[i].Cells[3].Text = SubStr(gIntro, 2);
}
else
{
mydrv = myds.Tables["飞狐工作室"].DefaultView[i + (5 * GridView1.PageIndex)];
gIntro = Convert.ToString(mydrv["家庭住址"]);
GridView1.Rows[i].Cells[3].Text = SubStr(gIntro, 2);
}
}</pre>
<p>调用的方法：</p>
<pre>
public string SubStr(string sString, int nLeng)
{
if (sString.Length &lt;= nLeng)
{
return sString;
}
string sNewStr = sString.Substring(0, nLeng);
sNewStr = sNewStr + "...";
return sNewStr;
}
</pre>
<p>后台全部代码：</p>
<pre>
using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class _Default : System.Web.UI.Page
{
SqlConnection sqlcon;
SqlCommand sqlcom;
string strCon = "Data Source=(local);Database=北风贸易;Uid=sa;Pwd=sa";
protected void Page_Load(object sender, EventArgs e)
{
if (!IsPostBack)
{
ViewState["SortOrder"] = "身份证号码";
ViewState["OrderDire"] = "ASC";
bind();
}
}
protected void GridView1_RowEditing(object sender, GridViewEditEventArgs e)
{
GridView1.EditIndex = e.NewEditIndex;
bind();
}
protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
{
string sqlstr = "delete from 飞狐工作室 where 身份证号码='" + GridView1.DataKeys[e.RowIndex].Value.ToString() + "'";
sqlcon = new SqlConnection(strCon);
sqlcom = new SqlCommand(sqlstr,sqlcon);
sqlcon.Open();
sqlcom.ExecuteNonQuery();
sqlcon.Close();
bind();
}
protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
{
sqlcon = new SqlConnection(strCon);
string sqlstr = "update 飞狐工作室 set 姓名='"
+ ((TextBox)(GridView1.Rows[e.RowIndex].Cells[1].Controls[0])).Text.ToString().Trim() + "',家庭住址='"
+ ((TextBox)(GridView1.Rows[e.RowIndex].Cells[3].Controls[0])).Text.ToString().Trim() + "' where 身份证号码='"
+ GridView1.DataKeys[e.RowIndex].Value.ToString() + "'";
sqlcom=new SqlCommand(sqlstr,sqlcon);
sqlcon.Open();
sqlcom.ExecuteNonQuery();
sqlcon.Close();
GridView1.EditIndex = -1;
bind();
}
protected void GridView1_RowCancelingEdit(object sender, GridViewCancelEditEventArgs e)
{
GridView1.EditIndex = -1;
bind();
}
public void bind()
{
string sqlstr = "select top 5 * from 飞狐工作室";
sqlcon = new SqlConnection(strCon);
SqlDataAdapter myda = new SqlDataAdapter(sqlstr, sqlcon);
DataSet myds = new DataSet();
sqlcon.Open();
myda.Fill(myds, "飞狐工作室");
GridView1.DataSource = myds;
GridView1.DataKeyNames = new string[] { "身份证号码" };
GridView1.DataBind();
for (int i = 0; i &lt;= GridView1.Rows.Count - 1; i++)
{
DataRowView mydrv;
string gIntro;
if (GridView1.PageIndex == 0)
{
mydrv = myds.Tables["飞狐工作室"].DefaultView[i];
gIntro = Convert.ToString(mydrv["家庭住址"]);
GridView1.Rows[i].Cells[3].Text = SubStr(gIntro, 2);
}
else
{
mydrv = myds.Tables["飞狐工作室"].DefaultView[i + (5 * GridView1.PageIndex)];
gIntro = Convert.ToString(mydrv["家庭住址"]);
GridView1.Rows[i].Cells[3].Text = SubStr(gIntro, 2);
}
}

sqlcon.Close();
}
public string SubStr(string sString, int nLeng)
{
if (sString.Length &lt;= nLeng)
{
return sString;
}
string sNewStr = sString.Substring(0, nLeng);
sNewStr = sNewStr + "...";
return sNewStr;
}
protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
{
//如果是绑定数据行
if (e.Row.RowType == DataControlRowType.DataRow)
{
////鼠标经过时，行背景色变
//e.Row.Attributes.Add("onmouseover", "this.style.backgroundColor='#E6F5FA'");
////鼠标移出时，行背景色变
//e.Row.Attributes.Add("onmouseout", "this.style.backgroundColor='#FFFFFF'");

////当有编辑列时，避免出错，要加的RowState判断
//if (e.Row.RowState == DataControlRowState.Normal || e.Row.RowState == DataControlRowState.Alternate)
//{
// ((LinkButton)e.Row.Cells[6].Controls[0]).Attributes.Add("onclick", "javascript:return confirm('你确认要删除：/"" + e.Row.Cells[1].Text + "/"吗?')");
//}

}
if (e.Row.RowIndex != -1)
{
int id = e.Row.RowIndex + 1;
e.Row.Cells[0].Text = id.ToString();
}

}
}
</pre>
<p><strong>12.GridView一般换行与强制换行：</strong></p>
<p>效果图：</p>
<p> <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTE2MTA1OTI5NzQ1LmdpZg==.jpg"></p>
<p>首先设置&lt;asp:BoundField DataField="家庭住址" HeaderText="家庭住址" ItemStyle-Width="100" /&gt;<br />
gridview里有一列绑定的数据很长，显示的时候在一行里面显示，页面拉得很宽。<br /><strong>原因</strong>是连续英文段为一个整体导致的，在RowDataBound中添加上了一句e.Row.Cells[2].Style.Add("word-break", "break-all")就可以。</p>
<p>如果要给所有的列增加此属性：</p>
<pre>
protected void Page_Load(object sender, EventArgs e)
{
//正常换行
GridView1.Attributes.Add("style", "word-break:keep-all;word-wrap:normal");
//下面这行是自动换行
GridView1.Attributes.Add("style", "word-break:break-all;word-wrap:break-word");
if (!IsPostBack)
{
bind();//调用数据绑定即可
}
}</pre>
<p>总之：善用CSS的word-break:break-all;word-wrap:break-word属性即可，这个属性是通用的对于顽固的南换行问题都可以解决，不局限于GridView。</p>
<p><strong>13.GridView显示隐藏某一列：<br /></strong>本方案为月儿独创，不同于网上其他方式，我觉得用一个CheckBox更人性化，这样可以隐藏不必要的列，让用户自己选择需要出现的列，在处理多列时这是一个很好的解决方案！</p>
<p>效果图：</p>
<p>图1-开始 </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTE2MTEwMDE0MjgyLmdpZg==.jpg"></p>
<p>图2-点击显示的CheckBox后</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTE2MTEwMDM0ODI1LmdpZg==.jpg"></p>
<p>解决方案：</p>
<pre>
public void bind()
{
string sqlstr = "select top 5 * from 飞狐工作室";
sqlcon = new SqlConnection(strCon);
SqlDataAdapter myda = new SqlDataAdapter(sqlstr, sqlcon);
DataSet myds = new DataSet();
sqlcon.Open();
myda.Fill(myds, "飞狐工作室");
GridView1.DataSource = myds;
GridView1.DataKeyNames = new string[] { "身份证号码" };
GridView1.DataBind();
sqlcon.Close();
GridView1.Columns[3].Visible = false;//一开始隐藏
CheckBox1.Checked = false;//如果不这样后面的代码会把他True
}

双击CheckBox1，在CheckedChanged方法里写上代码，最后代码如下：
protected void CheckBox1_CheckedChanged(object sender, EventArgs e)
{
GridView1.Columns[3].Visible=! GridView1.Columns[3].Visible;
Response.Write("GridView1的第4列现在的显示隐藏状态是："+GridView1.Columns[3].Visible.ToString());
}
</pre>
<p><strong>注意：</strong>CheckBox1的AutoPostBack要True！</p>
<p><strong>后台全部代码如下：</strong></p>
<pre>
using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class _Default : System.Web.UI.Page
{
SqlConnection sqlcon;
SqlCommand sqlcom;
string strCon = "Data Source=(local);Database=北风贸易;Uid=sa;Pwd=sa";
protected void Page_Load(object sender, EventArgs e)
{
if (!IsPostBack)
{
ViewState["SortOrder"] = "身份证号码";
ViewState["OrderDire"] = "ASC";
bind();
}
}
protected void GridView1_RowEditing(object sender, GridViewEditEventArgs e)
{
GridView1.EditIndex = e.NewEditIndex;
bind();
}
protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
{
string sqlstr = "delete from 飞狐工作室 where 身份证号码='" + GridView1.DataKeys[e.RowIndex].Value.ToString() + "'";
sqlcon = new SqlConnection(strCon);
sqlcom = new SqlCommand(sqlstr,sqlcon);
sqlcon.Open();
sqlcom.ExecuteNonQuery();
sqlcon.Close();
bind();
}
protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
{
sqlcon = new SqlConnection(strCon);
string sqlstr = "update 飞狐工作室 set 姓名='"
+ ((TextBox)(GridView1.Rows[e.RowIndex].Cells[1].Controls[0])).Text.ToString().Trim() + "',家庭住址='"
+ ((TextBox)(GridView1.Rows[e.RowIndex].Cells[3].Controls[0])).Text.ToString().Trim() + "' where 身份证号码='"
+ GridView1.DataKeys[e.RowIndex].Value.ToString() + "'";
sqlcom=new SqlCommand(sqlstr,sqlcon);
sqlcon.Open();
sqlcom.ExecuteNonQuery();
sqlcon.Close();
GridView1.EditIndex = -1;
bind();
}
protected void GridView1_RowCancelingEdit(object sender, GridViewCancelEditEventArgs e)
{
GridView1.EditIndex = -1;
bind();
}
public void bind()
{
string sqlstr = "select top 5 * from 飞狐工作室";
sqlcon = new SqlConnection(strCon);
SqlDataAdapter myda = new SqlDataAdapter(sqlstr, sqlcon);
DataSet myds = new DataSet();
sqlcon.Open();
myda.Fill(myds, "飞狐工作室");
GridView1.DataSource = myds;
GridView1.DataKeyNames = new string[] { "身份证号码" };
GridView1.DataBind();
sqlcon.Close();
GridView1.Columns[3].Visible = false;
CheckBox1.Checked = false;
}
protected void CheckBox1_CheckedChanged(object sender, EventArgs e)
{
GridView1.Columns[3].Visible=! GridView1.Columns[3].Visible;
Response.Write("GridView1的第4列现在的显示隐藏状态是："+GridView1.Columns[3].Visible.ToString());
}
}
</pre>
<p><strong>前台代码：<br /></strong></p>
<pre>
&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;

&lt;html xmlns="http://www.w3.org/1999/xhtml" &gt;
&lt;head runat="server"&gt;
&lt;title&gt;GridView显示隐藏列 &lt;/title&gt;
&lt;/head&gt;
&lt;body style="font-size=12px"&gt;
&lt;form id="form1" runat="server"&gt;
&lt;div&gt;
&lt;asp:GridView ID="GridView1" runat="server" CellPadding="3" OnRowDeleting="GridView1_RowDeleting" OnRowEditing="GridView1_RowEditing"
OnRowUpdating="GridView1_RowUpdating" OnRowCancelingEdit="GridView1_RowCancelingEdit" BackColor="White" BorderColor="#CCCCCC" BorderStyle="None" BorderWidth="1px" Font-Size="12px" &gt;
&lt;FooterStyle BackColor="White" ForeColor="#000066" /&gt;
&lt;Columns&gt;
&lt;asp:BoundField DataField="身份证号码" HeaderText="编号" ReadOnly="True" /&gt;
&lt;asp:BoundField DataField="姓名" HeaderText="用户姓名" /&gt;
&lt;asp:BoundField DataField="邮政编码" HeaderText="邮政编码" SortExpression="邮政编码" /&gt;
&lt;asp:BoundField DataField="家庭住址" HeaderText="家庭住址" /&gt;
&lt;asp:CommandField HeaderText="选择" ShowSelectButton="True" /&gt;
&lt;asp:CommandField HeaderText="编辑" ShowEditButton="True" /&gt;
&lt;asp:CommandField HeaderText="删除" ShowDeleteButton="True" /&gt;
&lt;/Columns&gt;
&lt;RowStyle ForeColor="#000066" /&gt;
&lt;SelectedRowStyle BackColor="#669999" Font-Bold="True" ForeColor="White" /&gt;
&lt;PagerStyle BackColor="White" ForeColor="#000066" HorizontalAlign="Left" /&gt;
&lt;HeaderStyle BackColor="#006699" Font-Bold="True" ForeColor="White" /&gt;
&lt;/asp:GridView&gt;
&lt;asp:CheckBox ID="CheckBox1" runat="server" Font-Size="12px"
OnCheckedChanged="CheckBox1_CheckedChanged" Text="显示隐藏家庭住址" /&gt;&lt;/div&gt;
&lt;/form&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p><strong>14.GridView弹出新页面/弹出制定大小位置新窗口：</strong></p>
<p>效果图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTE2MTEwMDU4MTkwLmdpZg==.jpg"></p>
<p><strong>方案一：简单的方法，新窗口不固定大小<br /></strong></p>
<pre>
&lt;asp:GridView ID="GridView1" runat="server" CellPadding="3" OnRowDeleting="GridView1_RowDeleting" OnRowEditing="GridView1_RowEditing"
OnRowUpdating="GridView1_RowUpdating" OnRowCancelingEdit="GridView1_RowCancelingEdit" BackColor="White" BorderColor="#CCCCCC" BorderStyle="None" BorderWidth="1px" Font-Size="12px" &gt;
&lt;FooterStyle BackColor="White" ForeColor="#000066" /&gt;
&lt;Columns&gt;
&lt;asp:BoundField DataField="身份证号码" HeaderText="编号" ReadOnly="True" /&gt;
&lt;asp:BoundField DataField="邮政编码" HeaderText="邮政编码" SortExpression="邮政编码" /&gt;
&lt;asp:BoundField DataField="家庭住址" HeaderText="家庭住址" /&gt;
&lt;asp:HyperLinkField HeaderText="姓名" Text="姓名" DataNavigateUrlFields="姓名" DataNavigateUrlFormatString="Default6.aspx?GoodsID={0}" Target="mainframe" NavigateUrl="~/Default6.aspx" DataTextField="姓名" &gt;
&lt;/asp:HyperLinkField&gt;
&lt;asp:CommandField HeaderText="选择" ShowSelectButton="True" /&gt;
&lt;asp:CommandField HeaderText="编辑" ShowEditButton="True" /&gt;
&lt;asp:CommandField HeaderText="删除" ShowDeleteButton="True" /&gt;
&lt;/Columns&gt;
&lt;RowStyle ForeColor="#000066" /&gt;
&lt;SelectedRowStyle BackColor="#669999" Font-Bold="True" ForeColor="White" /&gt;
&lt;PagerStyle BackColor="White" ForeColor="#000066" HorizontalAlign="Left" /&gt;
&lt;HeaderStyle BackColor="#006699" Font-Bold="True" ForeColor="White" /&gt;
&lt;/asp:GridView&gt;
</pre>
<p>DataNavigateUrlFields是链接的字段名，DataNavigateUrlFormatString是路径。</p>
<p><strong>方案二：精确控制弹出窗口大小位置<br /></strong></p>
<pre>
&lt;asp:HyperLinkColumn DataNavigateUrlField="EmployeeID" DataNavigateUrlFormatString="javascript:varwin=window.open('detail.aspx?ID={0}',null,'width=300,height=200');window.Close();"
DataTextField="LastName" HeaderText="LastName"&gt;&lt;/asp:HyperLinkColumn&gt;
</pre>
<p><strong>15.GridView固定表头(不用javascript只用CSS!，很好用)：</strong></p>
<p>效果图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTE2MTEwMTM1MTAyLmdpZg==.jpg"></p>
<p>代码：</p>
<pre>
&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;

&lt;html xmlns="http://www.w3.org/1999/xhtml" &gt;
&lt;head runat="server"&gt;
&lt;title&gt;GridView固定表头&lt;/title&gt;
&lt;style&gt;
.Freezing
{

position:relative ;
table-layout:fixed;
top:expression_r(this.offsetParent.scrollTop);
z-index: 10;
}

.Freezing th{text-overflow:ellipsis;overflow:hidden;white-space: nowrap;padding:2px;}
&lt;/style&gt;
&lt;/head&gt;
&lt;body style="font-size=12px"&gt;
&lt;form id="form1" runat="server"&gt;
&lt;div style="overflow-y: scroll; height: 200px;width:300px" id="dvBody"&gt;
&lt;asp:GridView ID="GridView1" runat="server" CellPadding="3" OnRowDeleting="GridView1_RowDeleting" OnRowEditing="GridView1_RowEditing"
OnRowUpdating="GridView1_RowUpdating" OnRowCancelingEdit="GridView1_RowCancelingEdit" BackColor="White" BorderColor="#CCCCCC" BorderStyle="None" BorderWidth="1px" Font-Size="12px" OnRowCreated="GridView1_RowCreated" &gt;
&lt;FooterStyle BackColor="White" ForeColor="#000066" /&gt;
&lt;Columns&gt;
&lt;asp:BoundField DataField="身份证号码" HeaderText="编号" ReadOnly="True" /&gt;
&lt;asp:BoundField DataField="邮政编码" HeaderText="邮政编码" SortExpression="邮政编码" /&gt;
&lt;asp:BoundField DataField="家庭住址" HeaderText="家庭住址" /&gt;
&lt;asp:BoundField DataField="姓名" HeaderText="姓名" /&gt;

&lt;/Columns&gt;
&lt;RowStyle ForeColor="#000066" /&gt;
&lt;SelectedRowStyle BackColor="#669999" Font-Bold="True" ForeColor="White" /&gt;
&lt;PagerStyle BackColor="White" ForeColor="#000066" HorizontalAlign="Left" CssClass="ms-formlabel DataGridFixedHeader"/&gt;
&lt;HeaderStyle BackColor="#006699" Font-Bold="True" ForeColor="White" CssClass="Freezing"/&gt;
&lt;/asp:GridView&gt;
&lt;/div&gt;

&lt;/form&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>
<p><strong>用法：</strong>CSS设如上的样式，HeaderStyle加CssClass="Freezing，套住GridView的Div设置高度宽度 &lt;div style="overflow-y: scroll; height: 200px;width:200px" &gt;</p>
<p><strong>16.GridView合并表头多重表头无错完美版（以合并3列3行举例）</strong></p>
<p>效果图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTE2MTEwMTUyMjI5LmdpZg==.jpg"></p>
<p>后台代码：</p>
<pre>
using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Drawing;
public partial class _Default : System.Web.UI.Page
{
SqlConnection sqlcon;
SqlCommand sqlcom;
string strCon = "Data Source=(local);Database=北风贸易;Uid=sa;Pwd=sa";
protected void Page_Load(object sender, EventArgs e)
{
if (!IsPostBack)
{
bind();

}
}
protected void GridView1_RowEditing(object sender, GridViewEditEventArgs e)
{
GridView1.EditIndex = e.NewEditIndex;
bind();
}
protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
{
sqlcon = new SqlConnection(strCon);
string sqlstr = "update 飞狐工作室 set 姓名='"
+ ((TextBox)(GridView1.Rows[e.RowIndex].Cells[1].Controls[0])).Text.ToString().Trim() + "',家庭住址='"
+ ((TextBox)(GridView1.Rows[e.RowIndex].Cells[3].Controls[0])).Text.ToString().Trim() + "' where 身份证号码='"
+ GridView1.DataKeys[e.RowIndex].Value.ToString() + "'";
sqlcom=new SqlCommand(sqlstr,sqlcon);
sqlcon.Open();
sqlcom.ExecuteNonQuery();
sqlcon.Close();
GridView1.EditIndex = -1;
bind();
}
protected void GridView1_RowCancelingEdit(object sender, GridViewCancelEditEventArgs e)
{
GridView1.EditIndex = -1;
bind();
}
public void bind()
{
string sqlstr = "select top 10 * from 飞狐工作室";
sqlcon = new SqlConnection(strCon);
SqlDataAdapter myda = new SqlDataAdapter(sqlstr, sqlcon);
DataSet myds = new DataSet();
sqlcon.Open();
myda.Fill(myds, "飞狐工作室");
GridView1.DataSource = myds;
GridView1.DataKeyNames = new string[] { "身份证号码" };
GridView1.DataBind();
sqlcon.Close();
}

//这里就是解决方案
protected void GridView1_RowCreated(object sender, GridViewRowEventArgs e)
{
switch (e.Row.RowType)
{
case DataControlRowType.Header:
//第一行表头
TableCellCollection tcHeader = e.Row.Cells;
tcHeader.Clear();
tcHeader.Add(new TableHeaderCell());
tcHeader[0].Attributes.Add("rowspan", "3"); //跨Row
tcHeader[0].Attributes.Add("bgcolor", "white");
tcHeader[0].Text = "";
tcHeader.Add(new TableHeaderCell());
//tcHeader[1].Attributes.Add("bgcolor", "Red");
tcHeader[1].Attributes.Add("colspan", "6"); //跨Column
tcHeader[1].Text = "全部信息&lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;";

//第二行表头
tcHeader.Add(new TableHeaderCell());
tcHeader[2].Attributes.Add("bgcolor", "DarkSeaGreen");
tcHeader[2].Text = "身份证号码";
tcHeader.Add(new TableHeaderCell());
tcHeader[3].Attributes.Add("bgcolor", "LightSteelBlue");
tcHeader[3].Attributes.Add("colspan", "2");
tcHeader[3].Text = "基本信息";
tcHeader.Add(new TableHeaderCell());
tcHeader[4].Attributes.Add("bgcolor", "DarkSeaGreen");
tcHeader[4].Text = "福利";
tcHeader.Add(new TableHeaderCell());
tcHeader[5].Attributes.Add("bgcolor", "LightSteelBlue");
tcHeader[5].Attributes.Add("colspan", "2");
tcHeader[5].Text = "联系方式&lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;";

//第三行表头
tcHeader.Add(new TableHeaderCell());
tcHeader[6].Attributes.Add("bgcolor", "Khaki");
tcHeader[6].Text = "身份证号码";
tcHeader.Add(new TableHeaderCell());
tcHeader[7].Attributes.Add("bgcolor", "Khaki");
tcHeader[7].Text = "姓名";
tcHeader.Add(new TableHeaderCell());
tcHeader[8].Attributes.Add("bgcolor", "Khaki");
tcHeader[8].Text = "出生日期";
tcHeader.Add(new TableHeaderCell());
tcHeader[9].Attributes.Add("bgcolor", "Khaki");
tcHeader[9].Text = "薪水";
tcHeader.Add(new TableHeaderCell());
tcHeader[10].Attributes.Add("bgcolor", "Khaki");
tcHeader[10].Text = "家庭住址";
tcHeader.Add(new TableHeaderCell());
tcHeader[11].Attributes.Add("bgcolor", "Khaki");
tcHeader[11].Text = "邮政编码";
break;
}
}
}
</pre>
<p>前台：</p>
<pre>
&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;

&lt;html xmlns="http://www.w3.org/1999/xhtml" &gt;
&lt;head runat="server"&gt;
&lt;title&gt;GridView合并多重表头表头&lt;/title&gt;
&lt;/head&gt;
&lt;body &gt;
&lt;form id="form1" runat="server"&gt;
&lt;div &gt;
&lt;asp:GridView ID="GridView1" runat="server" CellPadding="3" OnRowEditing="GridView1_RowEditing"
OnRowUpdating="GridView1_RowUpdating" OnRowCancelingEdit="GridView1_RowCancelingEdit" BackColor="White" BorderColor="#CCCCCC" BorderStyle="None" BorderWidth="1px" Font-Size="12px" OnRowCreated="GridView1_RowCreated" &gt;
&lt;FooterStyle BackColor="White" ForeColor="#000066" /&gt;
&lt;Columns&gt;
&lt;asp:CommandField HeaderText="编辑" ShowEditButton="True" /&gt;
&lt;asp:BoundField DataField="身份证号码" HeaderText="编号" ReadOnly="True" /&gt;
&lt;asp:BoundField DataField="姓名" HeaderText="姓名" /&gt;
&lt;asp:BoundField DataField="出生日期" HeaderText="邮政编码" /&gt;
&lt;asp:BoundField DataField="起薪" HeaderText="起薪" /&gt;
&lt;asp:BoundField DataField="家庭住址" HeaderText="家庭住址" /&gt;
&lt;asp:BoundField DataField="邮政编码" HeaderText="邮政编码" /&gt;

&lt;/Columns&gt;
&lt;RowStyle ForeColor="#000066" /&gt;
&lt;SelectedRowStyle BackColor="#669999" Font-Bold="True" ForeColor="White" /&gt;
&lt;PagerStyle BackColor="White" ForeColor="#000066" HorizontalAlign="Left" CssClass="ms-formlabel DataGridFixedHeader"/&gt;
&lt;HeaderStyle BackColor="#006699" Font-Bold="True" ForeColor="White" /&gt;
&lt;/asp:GridView&gt;
&lt;/div&gt;

&lt;/form&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p><strong>17.GridView突出显示某一单元格（例如金额低于多少，分数不及格等）</strong></p>
<p>效果图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTE2MTEwMjIzMzY0LmdpZg==.jpg"></p>
<p>解决方案：主要是绑定后过滤</p>
<pre>
GridView1.DataBind();
for (int i = 0; i &lt;= GridView1.Rows.Count - 1; i++)
{
DataRowView mydrv = myds.Tables["飞狐工作室"].DefaultView[i];
string score = Convert.ToString(mydrv["起薪"]);
if (Convert.ToDouble(score) &lt; 34297.00)//大家这里根据具体情况设置可能ToInt32等等
{
GridView1.Rows[i].Cells[4].BackColor = System.Drawing.Color.Red;
}
}
sqlcon.Close();</pre>
<p>全部后台代码：</p>
<pre>
using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Drawing;

public partial class Default7 : System.Web.UI.Page
{
SqlConnection sqlcon;
SqlCommand sqlcom;
string strCon = "Data Source=(local);Database=北风贸易;Uid=sa;Pwd=sa";
protected void Page_Load(object sender, EventArgs e)
{
if (!IsPostBack)
{
bind();

}
}
protected void GridView1_RowEditing(object sender, GridViewEditEventArgs e)
{
GridView1.EditIndex = e.NewEditIndex;
bind();
}
protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
{
sqlcon = new SqlConnection(strCon);
string sqlstr = "update 飞狐工作室 set 姓名='"
+ ((TextBox)(GridView1.Rows[e.RowIndex].Cells[1].Controls[0])).Text.ToString().Trim() + "',家庭住址='"
+ ((TextBox)(GridView1.Rows[e.RowIndex].Cells[3].Controls[0])).Text.ToString().Trim() + "' where 身份证号码='"
+ GridView1.DataKeys[e.RowIndex].Value.ToString() + "'";
sqlcom = new SqlCommand(sqlstr, sqlcon);
sqlcon.Open();
sqlcom.ExecuteNonQuery();
sqlcon.Close();
GridView1.EditIndex = -1;
bind();
}
protected void GridView1_RowCancelingEdit(object sender, GridViewCancelEditEventArgs e)
{
GridView1.EditIndex = -1;
bind();
}
public void bind()
{
string sqlstr = "select top 10 * from 飞狐工作室";
sqlcon = new SqlConnection(strCon);
SqlDataAdapter myda = new SqlDataAdapter(sqlstr, sqlcon);
DataSet myds = new DataSet();
sqlcon.Open();
myda.Fill(myds, "飞狐工作室");
GridView1.DataSource = myds;
GridView1.DataKeyNames = new string[] { "身份证号码" };
GridView1.DataBind();
for (int i = 0; i &lt;= GridView1.Rows.Count - 1; i++)
{
DataRowView mydrv = myds.Tables["飞狐工作室"].DefaultView[i];
string score = Convert.ToString(mydrv["起薪"]);
if (Convert.ToDouble(score) &lt; 34297.00)//大家这里根据具体情况设置可能ToInt32等等

{
GridView1.Rows[i].Cells[4].BackColor = System.Drawing.Color.Red;
}
}
sqlcon.Close();
}
}
</pre>
<p>前台代码：</p>
<pre>
&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;

&lt;html xmlns="http://www.w3.org/1999/xhtml" &gt;
&lt;head id="Head1" runat="server"&gt;
&lt;title&gt;GridView突出显示某一单元格 清清月儿http://blog.csdn.net/21aspnet &lt;/title&gt;
&lt;/head&gt;
&lt;body &gt;
&lt;form id="form1" runat="server"&gt;
&lt;div &gt;
&lt;asp:GridView ID="GridView1" runat="server" CellPadding="3" OnRowEditing="GridView1_RowEditing"
OnRowUpdating="GridView1_RowUpdating" OnRowCancelingEdit="GridView1_RowCancelingEdit" BackColor="White" BorderColor="#CCCCCC" BorderStyle="None" BorderWidth="1px" Font-Size="12px" &gt;
&lt;FooterStyle BackColor="White" ForeColor="#000066" /&gt;
&lt;Columns&gt;
&lt;asp:CommandField HeaderText="编辑" ShowEditButton="True" /&gt;
&lt;asp:BoundField DataField="身份证号码" HeaderText="编号" ReadOnly="True" /&gt;
&lt;asp:BoundField DataField="姓名" HeaderText="姓名" /&gt;
&lt;asp:BoundField DataField="出生日期" HeaderText="邮政编码" /&gt;
&lt;asp:BoundField DataField="起薪" HeaderText="起薪" DataFormatString="{0:C}" HtmlEncode="false"/&gt;
&lt;asp:BoundField DataField="家庭住址" HeaderText="家庭住址" /&gt;
&lt;asp:BoundField DataField="邮政编码" HeaderText="邮政编码" /&gt;

&lt;/Columns&gt;
&lt;RowStyle ForeColor="#000066" /&gt;
&lt;SelectedRowStyle BackColor="#669999" Font-Bold="True" ForeColor="White" /&gt;
&lt;PagerStyle BackColor="White" ForeColor="#000066" HorizontalAlign="Left" CssClass="ms-formlabel DataGridFixedHeader"/&gt;
&lt;HeaderStyle BackColor="#006699" Font-Bold="True" ForeColor="White" /&gt;
&lt;/asp:GridView&gt;
&lt;/div&gt;

&lt;/form&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>
<p><strong>18.GridView加入自动求和求平均值小计</strong></p>
<p>效果图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTE2MTEwMzMyODgzLmdpZg==.jpg"></p>
<p><strong>解决方案：<br /></strong></p>
<pre>
private double sum = 0;//取指定列的数据和，你要根据具体情况对待可能你要处理的是int
protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
{

if (e.Row.RowIndex &gt;= 0)
{
sum += Convert.ToDouble(e.Row.Cells[6].Text);
}
else if (e.Row.RowType == DataControlRowType.Footer)
{
e.Row.Cells[5].Text = "总薪水为：";
e.Row.Cells[6].Text = sum.ToString();
e.Row.Cells[3].Text = "平均薪水为：";
e.Row.Cells[4].Text = ((int)(sum / GridView1.Rows.Count)).ToString();

}
}
</pre>
<p>后台全部代码：</p>
<pre>
using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Drawing;

public partial class Default7 : System.Web.UI.Page
{
SqlConnection sqlcon;
SqlCommand sqlcom;
string strCon = "Data Source=(local);Database=北风贸易;Uid=sa;Pwd=sa";
protected void Page_Load(object sender, EventArgs e)
{
if (!IsPostBack)
{
bind();

}
}
protected void GridView1_RowEditing(object sender, GridViewEditEventArgs e)
{
GridView1.EditIndex = e.NewEditIndex;
bind();
}
protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
{
sqlcon = new SqlConnection(strCon);
string sqlstr = "update 飞狐工作室 set 姓名='"
+ ((TextBox)(GridView1.Rows[e.RowIndex].Cells[1].Controls[0])).Text.ToString().Trim() + "',家庭住址='"
+ ((TextBox)(GridView1.Rows[e.RowIndex].Cells[3].Controls[0])).Text.ToString().Trim() + "' where 身份证号码='"
+ GridView1.DataKeys[e.RowIndex].Value.ToString() + "'";
sqlcom = new SqlCommand(sqlstr, sqlcon);
sqlcon.Open();
sqlcom.ExecuteNonQuery();
sqlcon.Close();
GridView1.EditIndex = -1;
bind();
}
protected void GridView1_RowCancelingEdit(object sender, GridViewCancelEditEventArgs e)
{
GridView1.EditIndex = -1;
bind();
}
public void bind()
{
string sqlstr = "select top 5 * from 飞狐工作室";
sqlcon = new SqlConnection(strCon);
SqlDataAdapter myda = new SqlDataAdapter(sqlstr, sqlcon);
DataSet myds = new DataSet();
sqlcon.Open();
myda.Fill(myds, "飞狐工作室");
GridView1.DataSource = myds;
GridView1.DataKeyNames = new string[] { "身份证号码" };
GridView1.DataBind();
sqlcon.Close();
}
private double sum = 0;//取指定列的数据和
protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
{

if (e.Row.RowIndex &gt;= 0)
{
sum += Convert.ToDouble(e.Row.Cells[6].Text);
}
else if (e.Row.RowType == DataControlRowType.Footer)
{
e.Row.Cells[5].Text = "总薪水为：";
e.Row.Cells[6].Text = sum.ToString();
e.Row.Cells[3].Text = "平均薪水为：";
e.Row.Cells[4].Text = ((int)(sum / GridView1.Rows.Count)).ToString();

}
}
}
</pre>
<p>前台：唯一的花头就是设置ShowFooter="True" ，否则默认表头为隐藏的！</p>
<pre>
&lt;asp:GridView ID="GridView1" runat="server" CellPadding="3" OnRowEditing="GridView1_RowEditing"
OnRowUpdating="GridView1_RowUpdating" OnRowCancelingEdit="GridView1_RowCancelingEdit" BackColor="White" BorderColor="#CCCCCC" BorderStyle="None" BorderWidth="1px" Font-Size="12px" OnRowDataBound="GridView1_RowDataBound" ShowFooter="True" &gt;
&lt;FooterStyle BackColor="White" ForeColor="#000066" /&gt;
&lt;Columns&gt;
&lt;asp:CommandField HeaderText="编辑" ShowEditButton="True" /&gt;
&lt;asp:BoundField DataField="身份证号码" HeaderText="编号" ReadOnly="True" /&gt;
&lt;asp:BoundField DataField="姓名" HeaderText="姓名" /&gt;
&lt;asp:BoundField DataField="出生日期" HeaderText="邮政编码" /&gt;
&lt;asp:BoundField DataField="家庭住址" HeaderText="家庭住址" /&gt;
&lt;asp:BoundField DataField="邮政编码" HeaderText="邮政编码" /&gt;
&lt;asp:BoundField DataField="起薪" HeaderText="起薪" /&gt;

&lt;/Columns&gt;
&lt;RowStyle ForeColor="#000066" /&gt;
&lt;SelectedRowStyle BackColor="#669999" Font-Bold="True" ForeColor="White" /&gt;
&lt;PagerStyle BackColor="White" ForeColor="#000066" HorizontalAlign="Left" CssClass="ms-formlabel DataGridFixedHeader"/&gt;
&lt;HeaderStyle BackColor="#006699" Font-Bold="True" ForeColor="White" /&gt;
&lt;/asp:GridView&gt;
</pre>
<p><strong>19.GridView数据导入Excel/Excel数据读入GridView</strong></p>
<p>效果图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MTE2MTEwMzU5NzMxLmdpZg==.jpg"></p>
<p><strong>解决方案：</strong><br />
页面增加一个按钮，单击事件添加如下方法：</p>
<pre>
protected void Button1_Click(object sender, EventArgs e)
{
Export("application/ms-excel", "学生成绩报表.xls");
}

private void Export(string FileType, string FileName)
{
Response.Charset = "GB2312";
Response.ContentEncoding = System.Text.Encoding.UTF7;
Response.AppendHeader("Content-Disposition", "attachment;filename=" + HttpUtility.UrlEncode(FileName, Encoding.UTF8).ToString());
Response.ContentType = FileType;
this.EnableViewState = false;
StringWriter tw = new StringWriter();
HtmlTextWriter hw = new HtmlTextWriter(tw);
GridView1.RenderControl(hw);
Response.Write(tw.ToString());
Response.End();
}
//如果没有下面方法会报错类型“GridView”的控件“GridView1”必须放在具有 runat=server 的窗体标记内
public override void VerifyRenderingInServerForm(Control control)
{
}
</pre>
<p>还有由于是文件操作所以要引入名称空间IO和Text</p>
<p>后台代码：</p>
<pre>
using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Drawing;
using System.IO;
using System.Text;
public partial class Default7 : System.Web.UI.Page
{
SqlConnection sqlcon;
SqlCommand sqlcom;
string strCon = "Data Source=(local);Database=北风贸易;Uid=sa;Pwd=sa";
protected void Page_Load(object sender, EventArgs e)
{
if (!IsPostBack)
{
bind();

}
}

public void bind()
{
string sqlstr = "select top 5 * from 飞狐工作室";
sqlcon = new SqlConnection(strCon);
SqlDataAdapter myda = new SqlDataAdapter(sqlstr, sqlcon);
DataSet myds = new DataSet();
sqlcon.Open();
myda.Fill(myds, "飞狐工作室");
GridView1.DataSource = myds;
GridView1.DataKeyNames = new string[] { "身份证号码" };
GridView1.DataBind();
sqlcon.Close();
}

protected void Button1_Click(object sender, EventArgs e)
{
Export("application/ms-excel", "学生成绩报表.xls");
}

private void Export(string FileType, string FileName)
{
Response.Charset = "GB2312";
Response.ContentEncoding = System.Text.Encoding.UTF7;
Response.AppendHeader("Content-Disposition", "attachment;filename=" + HttpUtility.UrlEncode(FileName, Encoding.UTF8).ToString());
Response.ContentType = FileType;
this.EnableViewState = false;
StringWriter tw = new StringWriter();
HtmlTextWriter hw = new HtmlTextWriter(tw);
GridView1.RenderControl(hw);
Response.Write(tw.ToString());
Response.End();
}
public override void VerifyRenderingInServerForm(Control control)
{
}

}
</pre>
<p>前台：</p>
<pre>
&lt;asp:GridView ID="GridView1" runat="server" CellPadding="3"
BackColor="White" BorderColor="#CCCCCC" BorderStyle="None" BorderWidth="1px" Font-Size="12px" &gt;
&lt;FooterStyle BackColor="White" ForeColor="#000066" /&gt;
&lt;Columns&gt;
&lt;asp:BoundField DataField="身份证号码" HeaderText="编号" ReadOnly="True" /&gt;
&lt;asp:BoundField DataField="姓名" HeaderText="姓名" /&gt;
&lt;asp:BoundField DataField="出生日期" HeaderText="邮政编码" /&gt;
&lt;asp:BoundField DataField="家庭住址" HeaderText="家庭住址" /&gt;
&lt;asp:BoundField DataField="邮政编码" HeaderText="邮政编码" /&gt;
&lt;asp:BoundField DataField="起薪" HeaderText="起薪" /&gt;

&lt;/Columns&gt;
&lt;RowStyle ForeColor="#000066" /&gt;
&lt;SelectedRowStyle BackColor="#669999" Font-Bold="True" ForeColor="White" /&gt;
&lt;PagerStyle BackColor="White" ForeColor="#000066" HorizontalAlign="Left" CssClass="ms-formlabel DataGridFixedHeader"/&gt;
&lt;HeaderStyle BackColor="#006699" Font-Bold="True" ForeColor="White" /&gt;
&lt;/asp:GridView&gt;
&lt;asp:Button ID="Button1" runat="server" OnClick="Button1_Click" Text="导出" /&gt;
</pre>
<p>读取Excel数据的代码：这个很简单的</p>
<pre>
private DataSet CreateDataSource()
{
string strCon;
strCon = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + Server.MapPath("excel.xls") + "; Extended Properties=Excel 8.0;";
OleDbConnection olecon = new OleDbConnection(strCon);
OleDbDataAdapter myda = new OleDbDataAdapter("SELECT * FROM [Sheet1$]", strCon);
DataSet myds = new DataSet();
myda.Fill(myds);
return myds;
}
protected void Button1_Click(object sender, EventArgs e)
{
GridView1.DataSource = CreateDataSource();
GridView1.DataBind();
}</pre>
<p>为大家附3个精彩的专题：</p>
<p>ASP.NET控件使用手册</p>
<p>ASP.NET数据绑定控件使用汇总</p>
<p>ASP.NET控件使用汇总</p>
<p>以上就是关于asp.net中gridview控件的多种使用方法，很全面，目的就是想让亲们玩转gridview控件，希望大家喜欢小编整理的这两篇文章。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索asp.net<br />
                                    gridview控件<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 07:36:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/asp-net/" title="asp&period;net">asp&period;net</a>, <a href="https://www.iamivan.net/tag/gridview%e6%8e%a7%e4%bb%b6/" title="gridview控件">gridview控件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>灵活掌握asp.net中gridview控件的多种使用方法（下）_实用技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdm0R4z.html" rel="bookmark">灵活掌握asp&period;net中gridview控件的多种使用方法（上）&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				灵活使用asp.net中gridview控件的方法有很多种,本文内容很富,希望大家都能有所收获. 1.GridView无代码分页排序: 效果图: 小提示: 1.AllowSorting设为True,aspx代码中是AllowSorting=&quot;True&quot;: 2.默认1页10条,如果要修改每页条数,修改PageSize即可,在aspx代码中是PageSize=&quot;12&quot;. 3.默认的是单向排序的,右击GridView弹出&quot;属性&quot;,选择AllowSort			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGJxqnp.html" rel="bookmark">ASP&period;NET笔记之 控件与母板的区别分析&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.ASP.NET的好坏处 CodeBehind:&quot;前aspx后cs&quot;的模式,(1.aspx(控件定义.html.css)控制页面长相,cs控制程序逻辑aspx就是模板引擎,不需要再去寻找第三方的模板引擎(2.aspx中调用cs的成员级别必须是protected或者public不能是private因为当前this执行的是当前的子类(通过反编译查看) 2. Literal: Mode属性,避免XSS攻击 TextBox:AutopostBack=true 焦点离开Textbox提交表单A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Nl4Pz.html" rel="bookmark">asp&period;net中几种常用的身份验证方法总结&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在B/S系统开发中,经常需要使用&quot;身份验证&quot;.因为web应用程序非常特殊,和传统的C/S程序不同,默认情况下(不采用任何身份验证方式和权限控制手段),当你的程序在互联网/局域网上公开后,任何人都能够访问你的web应用程序的资源,这样很难保障应用程序安全性.通俗点来说:对于大多数的内部系统.业务支撑平台等而言,用户必须登录,否则无法访问和操作任何页面.而对于互联网(网站)而言,又有些差异,因为通常网站的大部分页面和信息都是对外公开的,只有涉及到注册用户个人信息的操作,或者网站的后台			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjqVdnz.html" rel="bookmark">Asp&period;net中static变量和viewstate的使用方法&lpar;谨慎&rpar;&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在.Net平台下进行CS软件开发时,我们经常遇到以后还要用到某些变量上次修改后的值,为了简单起见,很多人都习惯用static来定义这些变量,我也是.这样非常方便,下一次调用某个函数时该变量仍然保存的是处理过的值,直接拿来用就可以了. 现在转入了BS软件开发,我们很自然地会沿用这种习惯.如在页面中统计某个按钮被按下的次数,先在类中OnClick事件的处理过程前定义一static变量times,则每次调用该按钮的OnClick事件时,令times增1即可,非常方便: [C#]: 复制代码 代码如下:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkvkZz.html" rel="bookmark">ASP&period;NET中后台注册js脚本使用的方法对比&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用Page.ClientScript.RegisterClientScriptBlock 和Page.ClientScript.RegisterStartupScript:区别: 1.使用Page.ClientScript.RegisterClientScriptBlock c#代码 复制代码 代码如下: &lt;%@ Page Language=&quot;C#&quot; %&gt; &lt;script runat=&quot;server&quot;&gt; protected void Page			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mv7m35p.html" rel="bookmark">asp&period;net中gridview控件中，怎么用c&num;语言的代码方式实现编辑、删除数据功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 asp.net中gridview控件中,怎么用c#语言的代码方式实现编辑.删除数据功能 解决方案 解决方案二:给你一份编辑和删除的底层代码吧,你自己看着对应自己的进行修改编辑:usingSystem;usingSystem.Data;usingSystem.Configuration;usingSystem.Collections;usingSystem.Web;usingSystem.Web.Security;usingSystem.Web.UI;usingSystem.Web.UI			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QQRXM.html" rel="bookmark">ASP&period;NET Web页生命周期和执行的方法介绍&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以上所列的阶段中有些在页面级是不可见的,并且仅对服务器控件的编写者和要创建从 Page 导出的类的开发人员有意义.Init.Load.PreRender.Unload,再加上由嵌入式控件定义的所有回发事件,就构成了向外发送页面的各个阶段标记. 执行的各个阶段 页面生命周期中的第一个阶段是初始化.这个阶段的标志是 Init 事件.在成功创建页面的控件树后,将对应用程序触发此事件.换句话说,当 Init 事件发生时,.aspx 源文件中静态声明的所有控件都已实例化并采用各自的默认值.控件可以截取 I			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8eQ2b.html" rel="bookmark">ASP&period;NET中GridView控件开发问题：无法触发GridView1&lowbar;RowCommand&lpar;object sender&comma; GridViewCommandEventArgs e&rpar;方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 问题描述:我在一个aspx页面中添加了一个GridView控件,为其添加自定义的&quot;编辑&quot;&quot;删除&quot;按钮(ImageButton类型).(1)页面头标记为:&lt;%@PageLanguage=&quot;C#&quot;AutoEventWireup=&quot;true&quot;CodeFile=&quot;listMap.aspx.cs&quot;Inherits=&quot;listMap&quot;EnableEventValidation=&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqDG3Zb.html" rel="bookmark">ASP&period;NET中DropDownList和ListBox实现两级联动功能&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DropDownList和ListBox实现两级联动功能,它们可以将从后台数据库中搜选的出来的信息加以绑定,这里要实现的功能是在DropDownList中选择&quot;省&quot;,然后让ListBox自动将其省份下的&quot;市&quot;显示出来,这就是所谓的两级联动功能,这个功能我们在很多注册网页上看见,今天就为大家解开ASP.NET神秘的面纱.一.设置前台界面,在Web窗体中添加DropDownList和ListBox两个控件. 界面图如下所示.     二.编写后台代码在这,后台代码编写在			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXAQz5.html" rel="bookmark" class="title">Java操作Mongo</a>
					<div>
						Java操作Mongo // 创建连接 MongoClient mongoClient = new MongoClient(Arrays.asList(new ServerAddress(&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOanZM.html" rel="bookmark" class="title">Linux常用的oracle监控shell脚本</a>
					<div>
						本文介绍了8个常用的监控数据shell脚本.首先回顾了一些DBA常用的Unix命令,以及解释了如何通过Unix Cron来定时执行DBA脚本.网上也有好 多类似的文章,但基本上都不能正常运行,花点时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOm64b.html" rel="bookmark" class="title">office软件中将文本的内容变成声音输出</a>
					<div>
						所谓让文本发声是指将文本的内容变成声音输出,即让计算机读出文本的内容.这个功能在实际的教学工作中无疑是很有用的.在Office XP的Excel中,就有&quot;从文本到语音&quot;的功能,但必 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwYW8z.html" rel="bookmark" class="title">ASP&period;NET 2&period;0中DataTable小兵变大将</a>
					<div>
						我们先看一段WEB Service的代码. [WebMethod] public DataTable GetInfo() ...{ OleDbConnection nwindConn = new Ol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4yyVp.html" rel="bookmark" class="title">Win7系统运行速度慢怎么解决</a>
					<div>
						  Win7系统运行速度慢怎么解决 1.首先打开&quot;运行&quot;对话框,可以直接按键盘组合键(Win+R)来打开,输入命令&quot;msconfig&quot;进入系统配置实用程序界面. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKBoBM.html" rel="bookmark" class="title">Photoshop打造高对比的暗调黄褐色水景人物图片</a>
					<div>
						  素材图片也比较暗,处理的时候我们把暗部再压暗,并增加高光区域明暗对比;然后把主色转为橙黄色,这样初步的效果就出来了;后期单独调整好人物颜色,局部渲染一些高光即可. 原图 最终效果 1.打开原图素材 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK9q1p.html" rel="bookmark" class="title">Win7玩极品飞车10出现卡顿如何解决</a>
					<div>
						  1.打开运行窗口输入mmc ; 2.右上角&quot;文件&quot;-&quot;添加/删除管理单元&quot;-双击&quot;任务计划程序&quot;-在弹出的窗口点击确定-再点击确定; 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOqoab.html" rel="bookmark" class="title">Windows 8系统连接网络报651错误的解决方法</a>
					<div>
						最近买了台索尼的电脑,网卡是realtek pcie gbe的,买了个路由器是TP-Link的,根据说明书上登录192.168.1.1进行设置无线 连接名称.联网用户名.密码,就ok了. 索尼电脑连无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxlVOb.html" rel="bookmark" class="title">document节点对象的获取方式示例介绍</a>
					<div>
						 如果要操作一个元素,首先要获取到它,下面为大家介绍下document节点对象的获取方式,感兴趣的朋友不要错过 代码如下: &lt;html&gt;  &lt;head&gt;  &lt;title& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2vaAb.html" rel="bookmark" class="title">Windows操作系统的几种文件系统</a>
					<div>
						Windows3.x和MS-DOS一直使用的是文件分配表(FAT)系统;Windows95使用的是扩展FAT文件系统;WindowsNT文件系统则在继续支持16位文件系统的同时,还支持两种32位的文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw4PPz.html" rel="bookmark" class="title">excel2010查找替换介绍　</a>
					<div>
						  本文为大家介绍一下excel2010查找替换功能,下面一起来看看具体操作吧. 1.如果要将&quot;领用用品&quot;栏中红底白字的&quot;订书机&quot;都改为黄底黑字的&quot;铅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZGRxb.html" rel="bookmark" class="title">教你怎么把pdf文件转换成word文档 轻松快速</a>
					<div>
						话说,最近领导又有新要求了,要小编把一个产品的说明书PDF文件转换成Word 文档,然后可以保证编辑里面的内容和文字.小编在网上找了一些软件,结合自己的一些使用经验,把转换方法和软件介绍给大家. PD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKN7dM.html" rel="bookmark" class="title">编写最简单的二叉树</a>
					<div>
						编写最简单的二叉树   二叉树结构   源码 -swift- // // Node.swift // swift-TreeStructure // // Created by YouXianMing  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW2vmp.html" rel="bookmark" class="title">Linux连接投影仪（ubuntu）失败或显示不正常</a>
					<div>
						Linux连接投影仪,网上这方便的资料比较少,尤其是图文资料.最近有这方面的需求,查了很多的资料,最终实现的投影. 直接插上VGA后,发现屏幕显示的不正确,或不显示.这是由于投影仪的分辨率引起的.下面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEJ46p.html" rel="bookmark" class="title">Excel4J v2&period;0&period;0，Java 快速操作 Excel 工具</a>
					<div>
						Excel4J v2.0.0 发布了,更新如下: v2.0.0新特性 1.Excel读取支持部分类型转换了(如转为Integer,Long,Date(部分)等) v2.0.0之前只能全部内容转为Str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6onJM.html" rel="bookmark" class="title">求高人解释-关于软件的打包</a>
					<div>
						问题描述 我自己用VS做了个软件(带数据库),(新手)但是现在想打包后传给朋友用的,而且他安装的时候要让他输入序列号才可以使用,这个序列号只能使用1个月就过期了,可是在网上搜了好多的软件,都不会用啊, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgOwBb.html" rel="bookmark" class="title">openjdk在ubuntu下编译通过后，我该怎么用gdb调试呢 &lpar;小的只有5金币 只能悬赏那么多了  &rpar;</a>
					<div>
						问题描述 情景是这样的:ubuntu下成功编译openjdk7 接下来 我想先单步调试javac 看看它里边是怎么运行的 等把javac弄清楚了 在去看看jvm内部可是 在用gdb调试javac时 提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZQYnz.html" rel="bookmark" class="title">搜索是否有助于财务的策划？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 上周,美国广告协会在圣地亚哥召开了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRqo1b.html" rel="bookmark" class="title">人类离&OpenCurlyDoubleQuote;无癌时代&rdquo;还有多远？英伟达推出超算平台CANDLE，用 AI 消灭癌症</a>
					<div>
						微软曾放出豪言,要在 10 年内消灭癌症.该公司希望利用开拓性的计算机科学技术破解患病细胞代码,对患病细胞进行重新编程,让其重回健康状态.就像通过编程可以解决电脑病毒问题,微软认为通过对人体系统编程能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94l73b.html" rel="bookmark" class="title">云安全到来 手动更新病毒码将成为历史</a>
					<div>
						本文讲的是云安全到来 手动更新病毒码将成为历史,[IT168 资讯]今天,你更新病毒码了吗?根据AV-Test.org的最新统计,全球恶意程序已超过1100万个,而且每4秒钟就产生一个新病毒. 在网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKG5qp.html" rel="bookmark" class="title">java中输出0到128的Unicode遇到了一个奇怪问题，不包含128，则不会输出</a>
					<div>
						问题描述 packageapi.io;importjava.io.FileWriter;importjava.io.IOException;publicclassTestFileWriter{publ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeE35M.html" rel="bookmark" class="title">IBM8亿美元布局&OpenCurlyDoubleQuote;云计算&rdquo;服务器</a>
					<div>
						本报讯 (记者 高凌云)IBM日前在广州发布eX5服务器,这一耗资8亿美元研发的架构被IBM大中华区董事长钱大群称为&quot;过去十年以来IBM最重要的发布&quot;.eX5将内存从与服务器处理器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeAE8M.html" rel="bookmark" class="title">求一个加密的算法。。。。。</a>
					<div>
						问题描述 求一个加密的算法..... 有两列,前一列为16进制,后一列为10进制 0xF3061E0E816ABBCD23D187D3 246124 0xF2061B0E856ABDCD26D18BD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myek5lM.html" rel="bookmark" class="title">Safari和Java的更新补丁增强Java安全性</a>
					<div>
						苹果今日发布了Safari和Java的更新补丁,主要还是为了增强Java的安全性.针对OS X Mountain Lion的Safari 6.0.4和针对OS X雪豹的5.1.9.用户可以通过OS X ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXqaQb.html" rel="bookmark" class="title">ajax 调用rest 用户注册报错</a>
					<div>
						问题描述 我的项目采用开放注册模式html 通过jquery+ajax的方式调用 但总是报错 已经整了一天了 希望能有人能帮助我下 看下我哪里写错了 解决方案 data需要转换一下JSON.strin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYKoZb.html" rel="bookmark" class="title">asp 输出换行的详细说明&lbrack;原创&rsqb;&lowbar;应用技巧</a>
					<div>
						测试代码:输出简单的ul li1.asp 复制代码 代码如下: &lt;% response.write &quot;&lt;ul&gt;&quot; response.write &quot;&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NND5p.html" rel="bookmark" class="title">在ASP&period;NET 2&period;0中操作数据之二十五：大数据量时提高分页的效率&lowbar;自学过程</a>
					<div>
						导言 如我们在之前的教程里讨论的那样,分页可以通过两种方法来实现: 1.默认分页– 你仅仅只用选中data Web control的 智能标签的Enable Paging ; 然而,当你浏览页面的时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOmR4b.html" rel="bookmark" class="title">thinkPHP模型初始化实例分析&lowbar;php实例</a>
					<div>
						本文实例讲述了thinkPHP模型初始化的方法.分享给大家供大家参考,具体如下: /* $dsn = 'mysql://bookman:book123@localhost:3306/Weapons'; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW5dOz.html" rel="bookmark" class="title">Javascript 闭包引起的IE内存泄露分析&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: function fors(){ obj_a = obj_b; obj_b.attr = obj_a; } 复制代码 代码如下: function fors(){ obj_b = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdYXGz.html" rel="bookmark" class="title">在kindEditor中获取当前光标的位置索引的实现代码&lowbar;网页编辑器</a>
					<div>
						呵呵,有这个说明他自己有获取光标位置的办法,然后顺藤摸瓜找到了,拿出来分享一下. 下面editor.cmd.range.startOffset部分就是了. 复制代码 代码如下: var editor; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.049 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
